/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.307 Revision 1.393
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.307 2007/10/13 02:47:26 beandog Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.393 2009/05/07 18:26:50 ranger Exp $
4
5 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
6 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
7
8*ruby-1.8.7_p160 (07 May 2009)
9*ruby-1.8.6_p368 (07 May 2009)
10
11 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
12 +ruby-1.8.7_p160.ebuild:
13 Version bump as per secbug 268515. NB: These are the first ebuilds that
14 no longer use ruby-config.
15
16*ruby-1.9.1-r1 (03 Apr 2009)
17*ruby-1.8.7_p72-r11 (03 Apr 2009)
18*ruby-1.8.6_p287-r13 (03 Apr 2009)
19
20 03 Apr 2009; Alex Legler <a3li@gentoo.org>
21 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
22 +files/ruby18-mkmf-parallel-install.patch,
23 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
24 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
25 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
26 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
27 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
28 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
29 happy.
30
31*ruby-1.9.1 (21 Mar 2009)
32
33 21 Mar 2009; Alex Legler <a3li@gentoo.org>
34 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
35 +ruby-1.9.1.ebuild:
36 Adding Ruby 1.9.1 for preliminary testing
37
38 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
39 ruby-1.8.6_p287-r12.ebuild:
40 Marked ~ppc for bug #252315.
41
42 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
43 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
44 bug 261982.
45
46 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
47 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
48 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
49 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
50 Cleanup
51
52*ruby-1.8.7_p72-r10 (07 Mar 2009)
53
54 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
55 +ruby-1.8.7_p72-r10.ebuild:
56 Add a revision of ruby 1.8.7 using eselect ruby.
57
58 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
59 ~mips keyworded, bug #252315.
60
61 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
62 ruby-1.8.6_p287-r5.ebuild:
63 ppc stable, bug #260006
64
65 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
66 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
67
68 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
69 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
70 Fixing Tk USE flag test, bug 258893.
71
72 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
73 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
74
75 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
76 ruby-1.8.6_p287-r5.ebuild:
77 amd64 stable wrt security bug #260006
78
79 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
80 Stable for HPPA (bug #260006).
81
82 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
83 ruby-1.8.6_p287-r5.ebuild:
84 Stable on alpha, bug #260006
85
86*ruby-1.8.7_p72-r2 (23 Feb 2009)
87*ruby-1.8.6_p287-r12 (23 Feb 2009)
88*ruby-1.8.6_p287-r5 (23 Feb 2009)
89
90 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
91 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
92 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
93 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
94 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
95 now before compilation if Tk useflags don't match) and 230748 (adding
96 --enable-option-checking=no for newer versions of autoconf).
97
98 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
99 arm/ia64/s390/sh/sparc stable wrt #254307
100
101 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
102 ruby-1.8.6_p287-r4.ebuild:
103 Stable on alpha, bug #254307
104
105 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
106 ruby-1.8.6_p287-r11.ebuild:
107 keyword ~x86-fbsd, bug #252315
108
109 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
110 ppc stable #254307
111
112 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
113 amd64/x86 stable, bug #254307
114
115 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
116 stable ppc64, bug 254307
117
118 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
119 Stable for HPPA (bug #254307).
120
121 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
122 ruby-1.8.6_p287-r11.ebuild:
123 Marked ~hppa (bug #252315).
124
125*ruby-1.8.6_p287-r11 (11 Jan 2009)
126
127 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
128 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
129 +ruby-1.8.6_p287-r11.ebuild:
130 Backport conditional definition of missing openssl functions from ruby 1.8.7.
131 Fixes #254307.
132
133 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
134 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
135
136 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
137 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
138
139 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
140 ruby-1.8.6_p287-r10.ebuild:
141 Add ~sparc keyword, bug #252315
142
143*ruby-1.8.6_p287-r10 (23 Dec 2008)
144
145 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
146 +ruby-1.8.6_p287-r10.ebuild:
147 Version bump which switches from ruby-config to eselect-ruby. Dropped most
148 keywords since eselect-ruby does not yet have these keywords.
149
150 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
151 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
152 Revert the ruby-config changes. We can't remove them until we provide an
153 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
154 for breaking things as mentioned in bug #251833.
155
156 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
157 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
158 ruby-1.8.7_p72-r1.ebuild:
159 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
160 Thanks for the people noticing this in bug #251833.
161
162 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
163 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
164 ruby-1.8.7_p72-r1.ebuild:
165 Drop dependency on ruby-config, which will be removed from the tree. We
166 currently only have one major version of ruby in the tree (Ruby 1.8), so there
167 is no need for ruby-config at this moment. For newer versions of Ruby we will
168 use eselect-ruby, which can be found in the ruby overlay at the moment.
169
170 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
171 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
172 Use mirror://ruby in SRC_URI, fixes #237392.
173
174 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
175 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
176 -ruby-1.8.7_p72.ebuild:
177 Remove old versions. Leave one old stable version with cjk support.
178
179*ruby-1.8.6_p287-r3 (29 Nov 2008)
180
181 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
182 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
183 +ruby-1.8.6_p287-r3.ebuild:
184 Fix our expansion limit patch according to debian bug report
185 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
186 make sure people will pick up the fixed version. Thanks to Alex Legler for
187 mentioning the patch.
188
189*ruby-1.8.7_p72-r1 (26 Nov 2008)
190*ruby-1.8.6_p287-r2 (26 Nov 2008)
191
192 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
193 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
194 +ruby-1.8.7_p72-r1.ebuild:
195 Fix problem with shortname constants #247790, already fixed in upstream SVN.
196 Thanks to Alex Legler for providing the patch.
197
198 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
199 -ruby-1.8.6_p287.ebuild:
200 Remove versions that will not become stable
201
202 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
203 ruby-1.8.6_p287-r1.ebuild:
204 ppc stable, bug #225465
205
206 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
207 ruby-1.8.6_p287-r1.ebuild:
208 amd64 stable wrt security bug #225465
209
210 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
211 alpha/ia64/x86 stable wrt #225465
212
213 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
214 ruby-1.8.6_p287-r1.ebuild:
215 Sparc stable --- Security Bug #225465 --- good since late August.
216
217 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
218 Stable on ppc64; bug #225465
219
220 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
221 Stable for HPPA (bug #225465).
222
223*ruby-1.8.6_p287-r1 (29 Aug 2008)
224
225 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
226 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
227 +ruby-1.8.6_p287-r1.ebuild:
228 Fix REXML security issues, bug #236060.
229
230 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
231 Add GLEP 56 USE flag descriptions.
232
233*ruby-1.8.7_p72 (15 Aug 2008)
234
235 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
236 +ruby-1.8.7_p72.ebuild:
237 bump 1.8.7 to latest patch release
238
239*ruby-1.8.6_p287 (11 Aug 2008)
240
241 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
242 Version bump for brown paper bag relelease.
243
244 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
245 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
246 Remove broken version in favor of the just-added 1.8.6_p286
247
248*ruby-1.8.6_p286 (10 Aug 2008)
249
250 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
251 Version bump to latest released version of ruby 1.8.6. This version fixes the
252 security issues reported in #225465 and #234224. The cjk USE flag has been
253 dropped since no compatible patches have been released yet.
254
255 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
256 ruby-1.8.6_p230.ebuild:
257 drop cjk from SRC_URI as well
258
259 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
260 Drop cjk support since the most recent oniguruma patches no longer apply to
261 this version, #230111.
262
263 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
264 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
265 Try to fix the security issues reported in #225465 for ruby 1.8.6.
266 Unfortunately the official p230 has a change which causes segmentation faults
267 for applications like Rails and RSpec, so we are reverting that specific
268 change.
269
270*ruby-1.8.7_p22 (29 Jun 2008)
271
272 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
273 +ruby-1.8.7_p22.ebuild:
274 bump 1.8.7 for security fix
275
276 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
277 nevermind, don't bump this yet
278
279*ruby-1.8.6_p230 (20 Jun 2008)
280
281 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
282 version bump
283
284*ruby-1.8.7 (10 Jun 2008)
285
286 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
287 +ruby-1.8.7.ebuild:
288 bump 1.8.7 to final
289
290*ruby-1.8.7_pre2 (21 Apr 2008)
291
292 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
293 +ruby-1.8.7_pre2.ebuild:
294 Version Bump
295
296*ruby-1.8.7_pre1 (16 Apr 2008)
297
298 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
299 Version bump. Drop cjk until a new version of oniguruma appears.
300
301 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
302 amd64 stable, bug 212264
303
304 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
305 Stable for HPPA (bug #212264).
306
307 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
308 ruby-1.8.6_p114.ebuild:
309 ppc stable, bug #212264
310
311 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
312 alpha/ia64 stable wrt #212264
313
314 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
315 ruby-1.8.6_p114.ebuild:
316 stable x86, security bug 212264
317
318 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
319 Sparc stable, Security Bug #212264, builds and installs, initial tests run
320 as expected.
321
322 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
323 Marking ruby-1.8.6_p114 ppc64 for bug 212264
324
325*ruby-1.8.6_p114 (05 Mar 2008)
326
327 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
328 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
329 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
330 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
331 Version bump for #212264. Remove old ebuilds.
332
333 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
334 alpha/ia64 stable wrt #208916
335
336 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
337 Stable on ppc wrt bug 208916
338
339 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
340 x86 stable, bug #208916
341
342 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
343 ruby-1.8.6_p111-r1.ebuild:
344 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
345
346 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
347 -files/ruby-1.8.6-exit-status.patch,
348 -files/ruby-1.8.6_p110-net-http-p111.patch,
349 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
350 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
351 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
352 Remove old versions
353
354 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
355 Stable on ppc64
356
357 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
358 Stable on amd64; bug 199191
359
360 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
361 alpha/ia64/sparc stable wrt #199191
362
363 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
364 Remove now-obsolete warning about coreutils versions, #203156.
365
366 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
367 Stable for HPPA (bug #199191).
368
369*ruby-1.8.6_p111-r1 (23 Dec 2007)
370
371 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
372 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
373 ssl USE flags. Patch to p113.
374
375 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
376 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
377
378 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
379 x86 stable, security bug #199191
380
381*ruby-1.8.6_p111 (23 Dec 2007)
382
383 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
384 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
385 Version bump with patch for bug #199191
386
387 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
388 Move dependency on (X)Emacs modes to PDEPEND.
389
390 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
391 Add back ~hppa keyword now that XEmacs support files have been keyworded,
392 bug 196413
393
394*ruby-1.8.6_p110-r2 (21 Oct 2007)
395
396 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
397 +ruby-1.8.6_p110-r2.ebuild:
398 Add emacs and xemacs USE flags and use them to pull in the correct editing
399 mode for each. Had to drop several arch keywords as reported on bug 196413.
4 400
5 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild: 401 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
6 amd64 stable, security bug 194236 402 amd64 stable, security bug 194236
7 403
8 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild, 404 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,

Legend:
Removed from v.1.307  
changed lines
  Added in v.1.393

  ViewVC Help
Powered by ViewVC 1.1.20